TERMPLAY(1)

NAME
termplay - replay a ttyrec "video"

SYNOPSIS
termplay file

DESCRIPTION
Termplay can play back ttyrec recordings, like those produced by termrec, ttyrec, services like nethack.alt.org or crawl.akrasiacs.org and so on.

Certain non-file streams can be played as well, such as:

file://
tcp://
telnet:// (e.g. telnet://towel.blinkenlights.nl)
termcast:// (e.g. termcast://termcast.org/SplatTV)
anything directly downloadable via CURL (https://, etc)

  Keys available during replay:

space
    pause/resume

enter
    advance by a single frame

-, S
    slow down (by half)

+, F
    speed up (2x, then 4x, ...)

1   reset speed to 1.0

left arrow/down arrow/PgDn
    rewind by 10sec/1min/10min

right arrow/up arrow/PgUp
    skip 10sec/1min/10min

R   rewind to beginning

Q   quit termplay

  Options:

-f format, --format
    Here you specify the format. Those available are:

    baudrate
        The data will be replayed at 2400 baud.

    ttyrec
        Compatible with ttyrec by Satoru Takabayashi.

    nh-recorder
        Compatible with nh-recorder by Helge Dennhardt.

    dosrecorder
        Compatible with DosRecorder.

    asciicast
        Compatible with asciinema by Marcin Kulik, formats v1 and v2.

    live
        The data is assumed to be played at the same timing as it arrives. This is useful for watching termcasts, etc -- giving you the ability to rewind to an interesting moment. Trying to use this on a real file will blast its whole contents right into your face, beware!

    auto (default)
        This pseudo-format will make termplay try to guess the format, currently only between ttyrec, asciicast and live. Caveats about live blasting the whole file right away apply!

-s X, --speed
    Sets the initial speed to X, a real number between 0.001 and 1000.0.

-h, --help
    Shows a short explanation of parameters.

SEE ALSO
termrec(1), termcat(1), termtime(1).